# class Puppet::Util::NetworkDevice

### Attributes

current[R]

### Public Class Methods

init(device) click to toggle source

    # File lib/puppet/util/network_device.rb, line 6
    def self.init(device)
      require "puppet/util/network_device/#{device.provider}/device"
      @current = Puppet::Util::NetworkDevice.const_get(device.provider.capitalize).const_get(:Device).new(device.url)
    rescue => detail
      raise "Can't load #{device.provider} for #{device.name}: #{detail}"
    end

teardown() click to toggle source

Should only be used in tests

    # File lib/puppet/util/network_device.rb, line 14
    def self.teardown
      @current = nil
    end